LibreOffice: XDataSequence Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDataSequence Interface Reference

allows access to a one-dimensional sequence of data. More...

`import "XDataSequence.idl";`

Inheritance diagram for XDataSequence:

## Public Member Functions
sequence< any > | getData ()
| retrieves the data stored in this component.
string | getSourceRangeRepresentation ()
| returns the (UI) range representation string used by this XDataSequence.
sequence< string > | generateLabel ([in] com::sun::star::chart2::data::LabelOrigin eLabelOrigin)
| creates a label that describes the origin of this data sequence.
long | getNumberFormatKeyByIndex ([in] long nIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| returns a number format key for the value at the given index in the data sequence.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows access to a one-dimensional sequence of data.

The data that is stored in this container may contain different types.

## Member Function Documentation

## ◆ generateLabel()

sequence< string > generateLabel | ( | [in] com::sun::star::chart2::data::LabelOrigin | eLabelOrigin | ) |

creates a label that describes the origin of this data sequence.

This is useful, if a XLabeledDataSequence has no label sequence. In this case you can call this method at the value sequence to obtain a fitting replacement label.

The sequence returned here may be empty if no suitable label can be generated.

The strings returned should be localized.

Parameters

  eLabelOrigin | denotes what part of the range should be used for label generation. If you have, e.g., one cell only, the parameter COLUMN enables you to get the name of the cell's column, the parameter ROW will give you its row name.

If you have a non quadratic range you can ask for labels for the longer side with parameter LONG_SIDE or you can obtain labels for the shorter side with parameter SHORT_SIDE.

If the range is not structured in a tabular way you may receive no label.

Returns
  Suitable labels for the given sequence depending on the range of the sequence and the parameter `eLabelOrigin` passed. In a spreadsheet this would typically be a label like "Column x" for the short side used as DataSeries name and maybe a sequence "Row 1" "Row 2" "Row 3" for the long side to be used as categories for example.

Example: Assuming this sequence has a Range representation spanning row 5 and 6 in column 8. Following sequences of strings or similar strings are expected as return values:

generateLabel( SHORT_SIDE ) -> "Column 8" generateLabel( LONG_SIDE ) -> "Row 5" "Row 6" generateLabel( COLUMN ) -> "Column 8" generateLabel( ROW ) -> "Row 5" "Row 6"

Which strings exactly you return depends on the naming scheme of the application which provides its tabular data.

## ◆ getData()

sequence< any > getData | ( |  | ) |

retrieves the data stored in this component.

Returns
  a sequence containing the actual data. This sequence is a copy of the internal data. Therefore changing this object does not affect the content of the XDataSequence object.

## ◆ getNumberFormatKeyByIndex()

long getNumberFormatKeyByIndex | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

returns a number format key for the value at the given index in the data sequence.

If nIndex is -1, a key for the entire sequence should be returned, e.g. the most commonly used one.

If number formats are not supported, or there is no heuristic to return a key for the entire series, return 0 here.

The number format key must be valid for the com::sun::star::util::XNumberFormatsSupplier given by the XDataProvider, or 0 which is assumed to be always valid.

## ◆ getSourceRangeRepresentation()

string getSourceRangeRepresentation | ( |  | ) |

returns the (UI) range representation string used by this XDataSequence.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XDataSequence.idl